#include <cstdio>

using namespace std;

int main()
{
    int n,a,b=0;
    scanf ("%d %d",&n,&a);
    if (n<3*a){
        printf("-1\n");
        return 0;
    }
    n-=2*a;
    if (n<2*a-2){
        printf("%d %d\n",a,n-a);
    } else {
    if (n%2==0){
        printf("%d %d\n",n/2+1,n/2-1);
    } else {
    b=1;
    printf("%d %d\n",n/2+1,n/2-1);
    }}
    printf("%d 0\n",a);
    printf("%d %d\n",a,b);
    return 0;
}